/*--------------------------------------------------------------------------+
$Id: AF3ProjectUIActivator.java 769 2011-06-14 13:18:26Z hoelzl $
|                                                                          |
| Copyright 2011 ForTISS GmbH                                              |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.base.project.ui;

import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.plugin.AbstractUIPlugin;
import org.osgi.framework.BundleContext;

/**
 * The activator class controls the plug-in life cycle.
 * 
 * @author hoelzl
 * @author $Author: hoelzl $
 * @version $Rev: 769 $
 * @ConQAT.Rating RED Hash: 250D9EED7E36588B51D8F1B3F968B2FB
 */
public class AF3BaseProjectUIActivator extends AbstractUIPlugin {

	/** The plug-in ID. */
	public static final String PLUGIN_ID = AF3BaseProjectUIActivator.class.getPackage().getName(); //$NON-NLS-1$

	/** The shared instance. */
	private static AF3BaseProjectUIActivator plugin;

	/** Constructor. */
	public AF3BaseProjectUIActivator() {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public void start(BundleContext context) throws Exception {
		super.start(context);
		plugin = this;
	}

	/** {@inheritDoc} */
	@Override
	public void stop(BundleContext context) throws Exception {
		plugin = null;
		super.stop(context);
	}

	/** Returns the shared instance. */
	public static AF3BaseProjectUIActivator getDefault() {
		return plugin;
	}

	/** Returns the image descriptor for the given icon file. */
	public static ImageDescriptor getImageDescriptor(String path) {
		return imageDescriptorFromPlugin(PLUGIN_ID, path);
	}
}
